commit:     8350751fc6c42525289980c2c86375c70a946a55
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Sep  7 19:15:57 2025 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Sep  7 19:47:22 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8350751f

dev-python/lit: Add 22.0.0_pre20250907 snapshot

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/lit/Manifest                      |  1 +
 dev-python/lit/lit-22.0.0_pre20250907.ebuild | 45 ++++++++++++++++++++++++++++
 2 files changed, 46 insertions(+)

diff --git a/dev-python/lit/Manifest b/dev-python/lit/Manifest
index a4bbd921e419..f5d097498587 100644
--- a/dev-python/lit/Manifest
+++ b/dev-python/lit/Manifest
@@ -13,4 +13,5 @@ DIST llvm-project-20.1.8.src.tar.xz 147242952 BLAKE2B 
7657ac0b26acc5affb1bfc91b9
 DIST llvm-project-20.1.8.src.tar.xz.sig 566 BLAKE2B 
85beedfcff1195a974fab2c667b9efd4b715b3480c1b44b1b887fe32c69f72aca0d3b8fb276c03b6cc5a866622f669047aeee5ccb976640b4008ccd31dce77a4
 SHA512 
d74369bdb4d1b82775161ea53c9c5f3a23ce810f4df5ff617123023f9d8ce720e7d6ecc9e17f8ebd39fd9e7a9de79560abdf2ffe73bcb907a43148d43665d619
 DIST llvm-project-21.1.0.src.tar.xz 158971856 BLAKE2B 
ac8c3cc8d2c986abcaa523acc872b01311ec118a738654f9cc53a1d5fdba70ba10cfe829e23f3913557e460403ed6a2df81cb5e9a435c8e1ce08e7ead3511bf0
 SHA512 
1487dcdc041dd6cdcffa6cc95a565e18a9fce2a73215671e366a9601cecce6c8bf70065df5564de5998d1841c3d8d829a9fbd2cad72e3aab4db279e8885ff446
 DIST llvm-project-21.1.0.src.tar.xz.sig 438 BLAKE2B 
c5731350bc7454867da18887628c0e87bf404589097034c7ddfffbeec277b900bd1fa49daabd41d4f8800a8ab76105bf7e910a99dd970819ab987373d4ed4ed9
 SHA512 
c3cd0a759e22a24f4307d8747b7986f966f4fa3c413092efc73ccca252476f1b59878dc65b444884515bcce3d3bfab902f585cc1d08e2aeb55aa8e588128aeb6
+DIST llvm-project-645dd324d1b7d028745c2a4045b69e745df2ae6a.tar.gz 247443586 
BLAKE2B 
dd3229c32768e42fd2f311638f1e63f5503fabee3fa414bc3300313b36bbfa062d90900319e4fdbbafae17947537fba699fe5940e1b6553a2d9a716c0ce7b59c
 SHA512 
659dc22e2fd1fd0bced13f941127797dc7703b8d810eeb7a0fc51cf55c274e69e2d6660867c191d5d90615ddee3a1faff7f7cd357ff2eb88d715762be50098c3
 DIST llvm-project-d76bb2bb894a4641ed62447327b40a347a6ae883.tar.gz 245754836 
BLAKE2B 
487e6396f1b381743dfbbd13e8f55728f1f915c042c717433e498127ecdeb4405a67e998059f5eb1f84e851437b805ba9e9c0e390c61092c7ee336a801d6f342
 SHA512 
42e38f917357918e8d62d8893a1ba34b431cd8aabf924b89e5352013bb8984c10c0b2796fa9a725bab71e52f99216604b75606bde3b795d20082d97d0f7a82ad

diff --git a/dev-python/lit/lit-22.0.0_pre20250907.ebuild 
b/dev-python/lit/lit-22.0.0_pre20250907.ebuild
new file mode 100644
index 000000000000..fdf920bda34f
--- /dev/null
+++ b/dev-python/lit/lit-22.0.0_pre20250907.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{11..14} )
+
+inherit distutils-r1 llvm.org
+
+DESCRIPTION="A stand-alone install of the LLVM suite testing tool"
+HOMEPAGE="https://llvm.org/";
+
+LICENSE="Apache-2.0-with-LLVM-exceptions UoI-NCSA"
+SLOT="0"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+# Tests require 'FileCheck' and 'not' utilities (from llvm)
+BDEPEND="
+       test? (
+               dev-python/psutil[${PYTHON_USEDEP}]
+               llvm-core/llvm
+       )
+"
+
+LLVM_COMPONENTS=( llvm/utils/lit )
+llvm.org_set_globals
+
+# TODO: move the manpage generation here (from llvm-core/llvm)
+
+src_prepare() {
+       # flaky test
+       # https://github.com/llvm/llvm-project/issues/72022
+       rm tests/progress-bar.py || die
+
+       cd "${WORKDIR}" || die
+       distutils-r1_src_prepare
+}
+
+python_test() {
+       local -x LIT_PRESERVES_TMP=1
+       local litflags=$(get_lit_flags)
+       ./lit.py ${litflags//;/ } tests || die
+}

Reply via email to